# phpMyAdmin SQL Dump
# version 2.5.4
# http://www.phpmyadmin.net

# --------------------------------------------------------

#
# Table structure for table `Action_message`
#

CREATE TABLE `Action_message` (
  `ID` int(11) NOT NULL auto_increment,
  `Msg_author` int(11) NOT NULL default '0',
  `Msg_date` varchar(20) NOT NULL default '',
  `Msg_action_id` int(11) NOT NULL default '0',
  `Msg_message` text NOT NULL,
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Table structure for table `Action_step`
#

CREATE TABLE `Action_step` (
  `ID` int(11) NOT NULL auto_increment,
  `Action_name` text NOT NULL,
  `Action_description` text NOT NULL,
  `Action_assigned_to` varchar(255) NOT NULL default '',
  `Action_need_by` varchar(10) NOT NULL default '',
  `Action_completed` varchar(10) NOT NULL default '',
  `Action_ticket_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Table structure for table `Category`
#

CREATE TABLE `Category` (
  `ID` tinyint(4) NOT NULL auto_increment,
  `Category_name` varchar(100) NOT NULL default '',
  `Category_description` text NOT NULL,
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=1;

# --------------------------------------------------------

#
# Table structure for table `Mail_message`
#

CREATE TABLE `Mail_message` (
  `ID` tinyint(4) NOT NULL auto_increment,
  `Mail_message_name` varchar(100) NOT NULL default '',
  `Mail_message_text` text NOT NULL,
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Table structure for table `Priority`
#

CREATE TABLE `Priority` (
  `ID` tinyint(4) NOT NULL auto_increment,
  `Priority_name` varchar(100) NOT NULL default '',
  `Priority_description` text NOT NULL,
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=5 ;

# --------------------------------------------------------

#
# Table structure for table `Product`
#

CREATE TABLE `Product` (
  `ID` tinyint(4) NOT NULL auto_increment,
  `Product_name` varchar(100) NOT NULL default '',
  `Product_description` text NOT NULL,
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Table structure for table `Product_manager`
#

CREATE TABLE `Product_manager` (
  `ID` tinyint(4) NOT NULL auto_increment,
  `Manager_user_id` int(11) NOT NULL default '0',
  `Manager_product_id` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Table structure for table `Security_level`
#

CREATE TABLE `Security_level` (
  `ID` tinyint(4) NOT NULL auto_increment,
  `Security_level_title` varchar(100) NOT NULL default '',
  `Security_level_description` text NOT NULL,
  `Security_rank` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

INSERT INTO `Security_level` (`ID`, `Security_level_title`, `Security_level_description`, `Security_rank`) VALUES (1, 'Site Manager', '', 1);
INSERT INTO `Security_level` (`ID`, `Security_level_title`, `Security_level_description`, `Security_rank`) VALUES (2, 'Issue Manager', '', 3);
INSERT INTO `Security_level` (`ID`, `Security_level_title`, `Security_level_description`, `Security_rank`) VALUES (3, 'System User', '', 5);
INSERT INTO `Security_level` (`ID`, `Security_level_title`, `Security_level_description`, `Security_rank`) VALUES (4, 'Report Manager', '', 4);
INSERT INTO `Security_level` (`ID`, `Security_level_title`, `Security_level_description`, `Security_rank`) VALUES (5, 'Assignment Manager', 'can assign issues to other system members', 2);

# --------------------------------------------------------

#
# Table structure for table `Ticket`
#

CREATE TABLE `Ticket` (
  `ID` int(11) NOT NULL auto_increment,
  `Ticket_user_id` tinyint(4) NOT NULL default '0',
  `Ticket_product_id` tinyint(4) NOT NULL default '0',
  `Ticket_name` varchar(255) NOT NULL default '',
  `Ticket_description` text NOT NULL,
  `Ticket_priority` tinyint(4) NOT NULL default '0',
  `Ticket_status` tinyint(4) NOT NULL default '0',
  `Ticket_time` bigint(20) default NULL,
  `Ticket_assigned_to` tinyint(4) NOT NULL default '0',
  `Ticket_hours_spent` float NOT NULL default '0',
  `Ticket_need_by_date` tinytext NOT NULL,
  `Ticket_category_id` tinyint(4) NOT NULL default '0',
  `Ticket_owner` tinytext NOT NULL,
  `Ticket_est_complete` varchar(50) NOT NULL default '',
  `Ticket_project_id` varchar(50) NOT NULL default '',
  `Ticket_created_on` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Table structure for table `Ticket_files`
#

CREATE TABLE `Ticket_files` (
  `ID` int(11) NOT NULL auto_increment,
  `Original_name` tinytext NOT NULL,
  `Current_name` tinytext NOT NULL,
  `Ticket_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Table structure for table `Ticket_message`
#

CREATE TABLE `Ticket_message` (
  `ID` int(11) NOT NULL auto_increment,
  `Ticket_message_time` bigint(20) NOT NULL default '0',
  `Ticket_message_text` text NOT NULL,
  `Ticket_mail_sent` tinyint(4) NOT NULL default '0',
  `Ticket_message_author` tinyint(4) NOT NULL default '0',
  `Ticket_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Table structure for table `Ticket_status`
#

CREATE TABLE `Ticket_status` (
  `ID` tinyint(4) NOT NULL auto_increment,
  `Ticket_status_name` varchar(100) NOT NULL default '',
  `Ticket_status_description` text NOT NULL,
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

INSERT INTO `Ticket_status` (`ID`, `Ticket_status_name`, `Ticket_status_description`) VALUES (1, 'Unassigned', '');
INSERT INTO `Ticket_status` (`ID`, `Ticket_status_name`, `Ticket_status_description`) VALUES (2, 'Open', '');
INSERT INTO `Ticket_status` (`ID`, `Ticket_status_name`, `Ticket_status_description`) VALUES (3, 'Closed', '');
INSERT INTO `Ticket_status` (`ID`, `Ticket_status_name`, `Ticket_status_description`) VALUES (4, 'Pending', '');

# --------------------------------------------------------

#
# Table structure for table `Ticket_watcher`
#

CREATE TABLE `Ticket_watcher` (
  `ID` int(11) NOT NULL auto_increment,
  `Watcher_user_id` int(11) NOT NULL default '0',
  `Watcher_ticket_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Table structure for table `User`
#

CREATE TABLE `User` (
  `ID` tinyint(4) NOT NULL auto_increment,
  `Group_id` tinyint(4) NOT NULL default '0',
  `Security_rank` tinyint(4) NOT NULL default '0',
  `First_name` varchar(20) NOT NULL default '',
  `Last_name` varchar(20) NOT NULL default '',
  `Phone_number` varchar(25) NOT NULL default '',
  `Email` varchar(50) NOT NULL default '',
  `Password` varchar(20) NOT NULL default '',
  `Active_state` varchar(8) NOT NULL default '',
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Table structure for table `User_default_query`
#

CREATE TABLE `User_default_query` (
  `ID` tinyint(4) NOT NULL auto_increment,
  `Query_user_id` int(11) NOT NULL default '0',
  `Query_product_id` tinyint(4) NOT NULL default '0',
  `Query_creator_id` tinyint(4) NOT NULL default '0',
  `Query_assigned_to` tinyint(4) NOT NULL default '0',
  `Query_keywords` tinyint(4) NOT NULL default '0',
  `Query_status` tinyint(4) NOT NULL default '0',
  `Query_priority` tinyint(4) NOT NULL default '0',
  `Query_ticket_id` int(11) NOT NULL default '0',
  `Query_category` int(11) NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;